//--------------------------------------------------------------------
//  Sample C Code for the ADCINCVR
//  Continuously sample and call a user function with the data.
//
//--------------------------------------------------------------------
#include <m8c.h>        // part specific constants and macros
#include "PSoCAPI.h"    // PSoC API definitions for all User Modules
#include "m8c.h"
#include "string.h"		// PSoC string function definitions
#include "stdlib.h"		// PSoC standard library function definitions
//#include "DAC9.h"		// already included with PSoCAPI.h

#if DAC9_OFFSETBINARY
	const INT iMAXVAL=255; // top of ramp
	const INT iMINVAL=0; // bottom of ramp
#else
	#if DAC9_TWOSCOMPLEMENT
		const INT iMAXVAL=127; // top of ramp
		const INT iMINVAL=-128; // bottom of ramp
	#else
		 //DAC9_1_SIGNANDMAGNITUDE
	#endif
#endif

int direction = 0;	

#define POWER 		PRT0DR
#define CW 			0x01
#define CCW 		0xFE

INT iData;
void main(void)
{
    M8C_EnableGInt;                     // Enable global interrupts

	ADCINCVR_Start(ADCINCVR_HIGHPOWER); // Turn on Analog section
    ADCINCVR_SetResolution(8);         // Set resolution to 8 Bits 
    ADCINCVR_GetSamples(0);             // Start ADC to read continuously
    //PGA_SetGain(PGA_G1_00);
    PGA_Start(PGA_HIGHPOWER);			//********** The PGA reference should be set to GND!!!!!!
	DAC9_Start(DAC9_FULLPOWER);
  for(;;)
    {
	
	
	if (POWER & CW ) 
				{
				
	while(ADCINCVR_fIsDataAvailable() == 0); // Wait for data to be ready.

			if(DAC9_OFFSETBINARY)		//******* Why not using #if as done above???
			{
				//while(1)				//*************** This is an infinite loop
				//{
					for(iData=iMINVAL; iData <= iMAXVAL; iData++)
					{
						PRT2DR |= 0x04;			//************* The port is set, but never reset. The port bit is defined as analog high-z, should be "Strong"
						iData = ADCINCVR_iGetData();    // Get Data
			
						DAC9_WriteStall(iData); // update DAC
						ADCINCVR_ClearFlag();           // Clear data ready flag ***** And never again wait for data to be ready
					}
				//}
				
			}
			//******* End of corrected indentation *******		
	else if(DAC9_TWOSCOMPLEMENT)
	{
		while(1)
		{
		//for(iData=iMINVAL; iData <= iMAXVAL; iData++)
		{
		DAC9_WriteStall(iData); // update DAC
		}
		}
	}
	
	else
	{
	DAC9_Stop(); // power off DAC
	}
		/* */
	}
	
	

	if ( POWER & CCW)
	{
		while(ADCINCVR_fIsDataAvailable() == 0); // Wait for data to 
                                                // be ready.
        
		
		//DAC9_Start(DAC9_FULLPOWER); // power up the DAC

		
			if(DAC9_OFFSETBINARY)
			{
				//while(1)
				//{
				for(iData=iMINVAL; iData <= iMAXVAL; iData++)
				{
				PRT2DR &= 0xFB;			
				iData = ADCINCVR_iGetData();    // Get Data
			
				DAC9_WriteStall(iData); // update DAC
				ADCINCVR_ClearFlag();           // Clear data ready flag
				//}
				}
			}
		
	else if(DAC9_TWOSCOMPLEMENT)
	{
		while(1)
		{
		//for(iData=iMINVAL; iData <= iMAXVAL; iData++)
		{
		DAC9_WriteStall(iData); // update DAC
		}
		}
	}
	
	else
	{
	DAC9_Stop(); // power off DAC
	}

		/* */
		
    }
	
}
}